Vla-put-invisible

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-invisible vla-object bool )


機能
属性または属性参照が非表示かどうかを指定する。


引数
  • vla-object … VLAオブジェクト(Attribute、AttributeReference)
  • bool … ブール型
  •  :vlax-True: 属性は非表示属性。
  •  :vlax-False: 属性は非表示属性ではない。


戻り値
nil
  • MEMO : 非表示属性は表示または印刷されない。
  • 属性は、4 つのオプション モード(一定、プリセット、非表示、確認)の 1 つとしてのみ存在できる。システム変数 AFLAGS に現在のモードの設定が格納される。Mode プロパティを使用して現在のモードを取得できる。


サンプル
(vl-load-com)
(defun c:Example_Invisible()
    ;; モデル空間の属性定義を作成して、属性の可視性クエリを実行し、
    ;; 可視性の変更するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 属性定義の定義
    (setq insertionPoint (vlax-3d-point 5 5 0) 
          attHeight 1
          attMode acAttributeModeVerify
          attPrompt "New Prompt"
          attTag "NEW_TAG"
          attValue "New Value")
    
    ;; 属性定義を作成
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq attributeObj (vla-AddAttribute modelSpace attHeight attMode attPrompt insertionPoint attTag attValue))
    (vla-ZoomAll acadObj)
    
    ;; 現在の可視性設定を取得
    (if (= (vla-get-Invisible attributeObj) :vlax-true)
        (alert "属性は表示されません。")
        (alert "属性は表示されます。")
    )
  
    ;; 属性の可視性設定を変更
    (vla-put-Invisible attributeObj (if (= (vla-get-Invisible attributeObj) :vlax-true) :vlax-false :vlax-true))
    (vla-ZoomAll acadObj)
    
    (if (= (vla-get-Invisible attributeObj) :vlax-true)
        (alert "属性は表示されません。")
        (alert "属性は表示されます。")
    )
)

関連事項